Bug 1015762 - SELinux is preventing httpd from 'search' accesses on the directory /etc/openvpn. [NEEDINFO]
SELinux is preventing httpd from 'search' accesses on the directory /etc/open...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f8db30ea2d9a96b911d2c148424...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 03:58 EDT by Mike Zet
Modified: 2014-08-22 08:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 08:42:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lvrabec: needinfo? (michuzet)


Attachments (Terms of Use)

  None (edit)
Description Mike Zet 2013-10-05 03:58:47 EDT
Description of problem:
SELinux is preventing httpd from 'search' accesses on the directory /etc/openvpn.

*****  Plugin catchall (100. confidence) suggests  ***************************

If aby httpd powinno mieć domyślnie search dostęp do openvpn directory.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep httpd /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:openvpn_etc_t:s0
Target Objects                /etc/openvpn [ dir ]
Source                        httpd
Source Path                   httpd
Port                          <Nieznane>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           openvpn-2.3.2-1.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-71.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.9-200.fc19.x86_64 #1 SMP Wed
                              Aug 21 19:27:58 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-09-29 20:15:58 CEST
Last Seen                     2013-10-05 09:56:51 CEST
Local ID                      85a7ab2d-e6b0-4017-a6e2-a7285f10f064

Raw Audit Messages
type=AVC msg=audit(1380959811.582:433): avc:  denied  { search } for  pid=2447 comm="httpd" name="openvpn" dev="sda2" ino=3015450 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:openvpn_etc_t:s0 tclass=dir


Hash: httpd,httpd_t,openvpn_etc_t,dir,search

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.9-200.fc19.x86_64
type:           libreport

Potential duplicate: bug 817333
Comment 1 Daniel Walsh 2013-10-07 09:26:18 EDT
Any idea why apache is looking at this directory?

Note You need to log in before you can comment on or make changes to this bug.